<!-- The script tag should live in the head of your page if at all possible -->
<script type="text/javascript" async src="https://play.vidyard.com/embed/v4.js"></script>

<!DOCTYPE html>
<html>
    <head>
        <meta name="Vidyard QDS" content="width=device-width, initial-scale=1"/>
        <!-- The script tag should live in the head of your page if at all possible -->
        <script type="text/javascript" async src="https://play.vidyard.com/embed/v4.js"></script>
    </head>
    <style>
      .vidyard-player-container.vidyard-div-ZZZZZZZZZZZZZZZZZZ {
            padding: 0 !important;
            height: calc(100vh - 33px)!important;
        }
        a#backlink {background: #000 !important;border-color: #000 !important;color:  #fff !important;}
    </style>
    <body style="margin: 0;padding: 0;">
        <!-- Put this wherever you would like your player to appear sAGCzvjEFw7wmL7scnJni7 -->
        <img
          style="width: 100%; margin: auto; display: block;height: 100vh;"
          class="vidyard-player-embed"
          src="https://play.vidyard.com/ZZZZZZZZZZZZZZZZZZ.jpg"
          data-uuid="ZZZZZZZZZZZZZZZZZZ"
          data-v="4"
          data-type="inline"
        />
        
    </body>
</html>

<!-- Put this wherever you would like your player to appear -->
<script type="text/javascript">
    
    window.onVidyardAPI = (vidyardEmbed) => {
        vidyardEmbed.api.addReadyListener((_, player) => {
            
            console.log('player ready:', player.ready());
            console.log(player.uuid);
            
            player.on('play', function (eventTime) {
                console.log('The video started playing from second' + eventTime);
                window.webkit.messageHandlers.videoStatus.postMessage("videoPlaying");
            });
            
            player.on('pause', function () {
                console.log('Viewer paused the video');
                window.webkit.messageHandlers.videoStatus.postMessage("videoPaused");
            });
            
            player.on('timeupdate', function (eventTime) {
                window.webkit.messageHandlers.videoTime.postMessage(eventTime);
            });
            
            player.on('seek', function (seekTimes) {
              window.webkit.messageHandlers.videoSeek.postMessage('Viewer seeked from second ' + seekTimes[0] + ' to second ' + seekTimes[1]);
            });
            
        }, 'ZZZZZZZZZZZZZZZZZZ')
    }
    function setUUID(uuid) {
        VidyardV4.players[0].uuid = uuid;
    }
    
    function playVideo() {
        VidyardV4.players[0].play();
    }
    function pauseVideo() {
        VidyardV4.players[0].pause();
    }
    function seek(duration) {
        VidyardV4.players[0].seek(duration)
    }
    function setLanguage(audioIndex) {
        VidyardV4.players[0].setAudioTrack(audioIndex)
    }
    function forward() {
        VidyardV4.players[0].seek(VidyardV4.players[0].currentTime() + 5)
    }
    
    function setImageSource(url) {
        document.getElementById('imageVidyard').src = url;
    }
</script>
